export default {
  'Math': [{
    'name': 'Math.abs',
    'doc': 'Returns the absolute value of a number.',
    'args': 1
  }, {
    'name': 'Math.acos',
    'doc': 'Returns the arccosine of a number.',
    'args': 1
  }, {
    'name': 'Math.acosh',
    'doc': 'Returns the hyperbolic arccosine of a number.',
    'args': 1
  }, {
    'name': 'Math.asin',
    'doc': 'Returns the arcsine of a number.',
    'args': 1
  }, {
    'name': 'Math.asinh',
    'doc': 'Returns the hyperbolic arcsine of a number.',
    'args': 1
  }, {
    'name': 'Math.atan',
    'doc': 'Returns the arctangent of a number.',
    'args': 1
  }, {
    'name': 'Math.atanh',
    'doc': 'Returns the hyperbolic arctangent of a number.',
    'args': 1
  }, {
    'name': 'Math.atan2',
    'doc': 'Returns the arctangent of the quotient of its arguments.',
    'args': 2
  }, {
    'name': 'Math.cbrt',
    'doc': 'Returns the cube root of a number.',
    'args': 1
  }, {
    'name': 'Math.ceil',
    'doc': 'Returns the smallest integer greater than or equal to a number.',
    'args': 1
  }, {
    'name': 'Math.clz32',
    'doc': 'Returns the number of leading zeroes of a 32-bit integer.',
    'args': 1
  }, {
    'name': 'Math.cos',
    'doc': 'Returns the cosine of a number.',
    'args': 1
  }, {
    'name': 'Math.cosh',
    'doc': 'Returns the hyperbolic cosine of a number.',
    'args': 1
  }, {
    'name': 'Math.exp',
    'doc': 'Returns Ex, where x is the argument, and E is Euler\'s constant' +
      ' (2.718…), the base of the natural logarithm.',
    'args': 1
  }, {
    'name': 'Math.expm1',
    'doc': 'Returns subtracting 1 from exp(x).',
    'args': 1
  }, {
    'name': 'Math.floor',
    'doc': 'Returns the largest integer less than or equal to a number.',
    'args': 1
  }, {
    'name': 'Math.fround',
    'doc': 'Returns the nearest single precision float representation of a number.',
    'args': 1
  }, {
    'name': 'Math.hypot',
    'doc': 'Returns the square root of the sum of squares of its arguments.',
    'args': 1
  }, {
    'name': 'Math.imul',
    'doc': 'Returns the result of a 32-bit integer multiplication.',
    'args': 2
  }, {
    'name': 'Math.log',
    'doc': 'Returns the natural logarithm (loge, also ln) of a number.',
    'args': 1
  }, {
    'name': 'Math.log1p',
    'doc': 'Returns the natural logarithm (loge, also ln) of 1 + x for a number x.',
    'args': 1
  }, {
    'name': 'Math.log10',
    'doc': 'Returns the base 10 logarithm of a number.',
    'args': 1
  }, {
    'name': 'Math.log2',
    'doc': 'Returns the base 2 logarithm of a number.',
    'args': 1
  }, {
    'name': 'Math.max',
    'doc': 'Returns the largest of zero or more numbers.',
    'args': 2
  }, {
    'name': 'Math.min',
    'doc': 'Returns the smallest of zero or more numbers.',
    'args': 2
  }, {
    'name': 'Math.pow',
    'doc': 'Returns base to the exponent power, that is, baseexponent.',
    'args': 2
  }, {
    'name': 'Math.random',
    'doc': 'Returns a pseudo-random number between 0 and 1.',
    'args': 1
  }, {
    'name': 'Math.round',
    'doc': 'Returns the value of a number rounded to the nearest integer.',
    'args': 1
  }, {
    'name': 'Math.sign',
    'doc': 'Returns the sign of the x, indicating whether x is positive, negative or zero.',
    'args': 1
  }, {
    'name': 'Math.sin',
    'doc': 'Returns the sine of a number.',
    'args': 1
  }, {
    'name': 'Math.sinh',
    'doc': 'Returns the hyperbolic sine of a number.',
    'args': 1
  }, {
    'name': 'Math.sqrt',
    'doc': 'Returns the positive square root of a number.',
    'args': 1
  }, {
    'name': 'Math.tan',
    'doc': 'Returns the tangent of a number.',
    'args': 1
  }, {
    'name': 'Math.tanh',
    'doc': 'Returns the hyperbolic tangent of a number.',
    'args': 1
  }, {
    'name': 'Math.trunc',
    'doc': 'Returns the integral part of the number x, removing any fractional digits.',
    'args': 1
  }],
  'String': [{
    'name': 'String.charAt',
    'doc': 'Returns the character at the specified index.',
    'args': 2
  }, {
    'name': 'String.charCodeAt',
    'doc': 'Returns a number indicating the Unicode value of the character at the given index.',
    'args': 2
  }, {
    'name': 'String.codePointAt',
    'doc': 'Returns a non-negative integer that is the UTF-16 encoded code ' +
      'point value at the given position.',
    'args': 2
  }, {
    'name': 'String.concat',
    'doc': 'Combines the text of two strings and returns a new string.',
    'args': 2
  }, {
    'name': 'String.includes',
    'doc': 'Determines whether one string may be found within another string.',
    'args': 2
  }, {
    'name': 'String.endsWith',
    'doc': 'Determines whether a string ends with the characters of another string.',
    'args': 2
  }, {
    'name': 'String.indexOf',
    'doc': 'Returns the index within the calling String object of the first' +
      ' occurrence of the specified value, or -1 if not found.',
    'args': 2
  }, {
    'name': 'String.lastIndexOf',
    'doc': 'Returns the index within the calling String object of the ' +
      'last occurrence of the specified value, or -1 if not found.',
    'args': 2
  }, {
    'name': 'String.padEnd',
    'doc': 'Pads the current string from the end with a given string to ' +
      'create a new string from a given length.',
    'args': 1
  }, {
    'name': 'String.padStart',
    'doc': 'Pads the current string from the start with a given string to ' +
      'create a new string from a given length.',
    'args': 1
  }, {
    'name': 'String.slice',
    'doc': 'Extracts a section of a string and returns a new string.',
    'args': 2
  }, {
    'name': 'String.substr',
    'doc': 'Returns the characters in a string beginning at the specified' +
      ' location through the specified number of characters.',
    'args': 2
  }, {
    'name': 'String.toLocaleLowerCase',
    'doc': 'The characters within a string are converted to lower case while' +
      ' respecting the current locale. For most languages, this will return ' +
      'the same as toLowerCase().',
    'args': 1
  }, {
    'name': 'String.toLocaleUpperCase',
    'doc': 'The characters within a string are converted to upper case while ' +
      'respecting the current locale. For most languages, this will return ' +
      'the same as toUpperCase().',
    'args': 1
  }, {
    'name': 'String.toLowerCase',
    'doc': 'Returns the calling string value converted to lower case.',
    'args': 1
  }, {
    'name': 'String.toUpperCase',
    'doc': 'Returns the calling string value converted to uppercase.',
    'args': 1
  }, {
    'name': 'String.trim',
    'doc': 'Trims whitespace from the beginning and end of the string. ' +
      'Part of the ECMAScript 5 standard.',
    'args': 1
  }],
  'Miscellaneous': [{
    'name': 'now',
    'doc': 'Returns current timestamp. Add an argument to save this value ' +
      'in memory. Each call with the same argument will produce the same value.',
    'args': 0
  }, {
    'name': 'random',
    'doc': 'Generates random positive integer. Add an argument to save this ' +
      'value in memory. Each call with the same argument will produce the same value.',
    'args': 0
  }, {
    'name': 'encodeURIComponent',
    'doc': 'Encodes argument with encodeURIComponent() function.',
    'args': 1
  }, {
    'name': 'decodeURIComponent',
    'doc': 'Decodes argument with decodeURIComponent() function.',
    'args': 1
  }]
};
